Name:           jaxb-istack-commons
Version:        3.0.12
Release:        %mkrel 1
Group:          Development/Java
Summary:        iStack Common Utility Code
License:        BSD

URL:            https://github.com/eclipse-ee4j/jaxb-istack-commons
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(args4j:args4j)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.ant:ant-junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-api)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-impl)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.glassfish.jaxb:codemodel)
BuildRequires:  mvn(org.testng:testng)

%global obs_vr 3.0.11-2

# package renamed in fedora 33, remove in fedora 35
Provides:       istack-commons = %{version}-%{release}
Obsoletes:      istack-commons < %{obs_vr}

# javadoc subpackage is currently not built
Obsoletes:      istack-commons-javadoc < %{obs_vr}

%description
Code shared between JAXP, JAXB, SAAJ, and JAX-WS projects.


%package -n istack-commons-maven-plugin
Summary:        istack-commons Maven Mojo

# package renamed in fedora 33, remove in fedora 35
Provides:       maven-istack-commons-plugin = %{version}-%{release}
Obsoletes:      maven-istack-commons-plugin < %{obs_vr}

%description -n istack-commons-maven-plugin
This package contains the istack-commons Maven Mojo.


%package -n import-properties-plugin
Summary:        istack-commons import properties plugin

%description -n import-properties-plugin
This package contains the istack-commons import properties Maven Mojo.


%package buildtools
Summary:        istack-commons buildtools

# package renamed in fedora 33, remove in fedora 35
Provides:       istack-commons-buildtools = %{version}-%{release}
Obsoletes:      istack-commons-buildtools < %{obs_vr}

%description buildtools
This package contains istack-commons buildtools.


%package runtime
Summary:        istack-commons runtime

# package renamed in fedora 33, remove in fedora 35
Provides:       istack-commons-runtime = %{version}-%{release}
Obsoletes:      istack-commons-runtime < %{obs_vr}

%description runtime
This package contains istack-commons runtime.


%package soimp
Summary:        istack-commons soimp

# package renamed in fedora 33, remove in fedora 35
Provides:       istack-commons-soimp = %{version}-%{release}
Obsoletes:      istack-commons-soimp < %{obs_vr}

%description soimp
This package contains istack-commons soimp.


%package test
Summary:        istack-commons test

# package renamed in fedora 33, remove in fedora 35
Provides:       istack-commons-test = %{version}-%{release}
Obsoletes:      istack-commons-test < %{obs_vr}

%description test
This package contains istack-commons test.


%package tools
Summary:        istack-commons tools

# package renamed in fedora 33, remove in fedora 35
Provides:       istack-commons-tools = %{version}-%{release}
Obsoletes:      istack-commons-tools < %{obs_vr}

%description tools
This package contains istack-commons tools.


%prep
%setup -q

pushd istack-commons
# disable very verbose warnings
sed -i -e '/Xlint:all/d' pom.xml

# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :spotbugs-maven-plugin
popd


%build
pushd istack-commons
# - skip javadoc build due to https://github.com/fedora-java/xmvn/issues/58
# - ignore test failures due to faulty JVM version detection
%mvn_build -j -s -- -DscmBranch=%{version} -DbuildNumber=unknown -Dmaven.test.failure.ignore=true
popd


%install
pushd istack-commons
%mvn_install
popd


%files -f istack-commons/.mfiles-istack-commons
%license LICENSE.md NOTICE.md
%doc README.md

%files -n istack-commons-maven-plugin -f istack-commons/.mfiles-istack-commons-maven-plugin
%license LICENSE.md NOTICE.md

%files -n import-properties-plugin -f istack-commons/.mfiles-import-properties-plugin
%license LICENSE.md NOTICE.md

%files buildtools -f istack-commons/.mfiles-istack-commons-buildtools
%license LICENSE.md NOTICE.md

%files runtime -f istack-commons/.mfiles-istack-commons-runtime
%license LICENSE.md NOTICE.md

%files soimp -f istack-commons/.mfiles-istack-commons-soimp
%license LICENSE.md NOTICE.md

%files test -f istack-commons/.mfiles-istack-commons-test
%license LICENSE.md NOTICE.md

%files tools -f istack-commons/.mfiles-istack-commons-tools
%license LICENSE.md NOTICE.md




%changelog
* Sun Sep 11 2022 neoclust <neoclust> 3.0.12-1.mga9
+ Revision: 1886955
- New version  3.0.12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 3.0.11-1.mga8
+ Revision: 1621688
- Update to 3.0.11
- package renamed to jaxb-istack-commons

* Wed Feb 12 2020 umeabot <umeabot> 2.21-8.mga8
+ Revision: 1491319
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.21-7.mga7
+ Revision: 1263157
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2.21-6.mga6
+ Revision: 982646
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.21-5.mga6
+ Revision: 976408
- First rebuild of the java stack
- sync package istack-commons with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 2.17-5.mga5
+ Revision: 809240
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.17-4.mga5
+ Revision: 744489
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.17-2.mga4
+ Revision: 537962
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 2.17-1.mga4
+ Revision: 488144
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.6.1-6.mga3
+ Revision: 354585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.6.1-5.mga3
+ Revision: 291009
- imported package istack-commons

